You are not logged in.

#1 2022-01-13 14:01:40

Dragonslayer6840
Member
Registered: 2022-01-13
Posts: 10

Polybar installation is failing and giving a python traceback call

Traceback (most recent call last):
  File "/usr/bin/sphinx-build", line 33, in <module>
    sys.exit(load_entry_point('Sphinx==4.3.2', 'console_scripts', 'sphinx-build')())
  File "/usr/bin/sphinx-build", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 162, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/sphinx/cmd/build.py", line 25, in <module>
    from sphinx.application import Sphinx
  File "/usr/lib/python3.10/site-packages/sphinx/application.py", line 34, in <module>
    from sphinx.domains import Domain, Index
  File "/usr/lib/python3.10/site-packages/sphinx/domains/__init__.py", line 24, in <module>
    from sphinx.roles import XRefRole
  File "/usr/lib/python3.10/site-packages/sphinx/roles.py", line 20, in <module>
    from sphinx.util.docutils import ReferenceRole, SphinxRole
  File "/usr/lib/python3.10/site-packages/sphinx/util/docutils.py", line 28, in <module>
    from packaging import version
ModuleNotFoundError: No module named 'packaging'
make[2]: *** [doc/CMakeFiles/doc_man.dir/build.make:71: doc/CMakeFiles/doc_man] Error 1
make[1]: *** [CMakeFiles/Makefile2:414: doc/CMakeFiles/doc_man.dir/all] Error 2
make: *** [Makefile:136: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

Offline

#2 2022-01-13 15:57:08

ayekat
Member
Registered: 2011-01-17
Posts: 1,485
Website

Re: Polybar installation is failing and giving a python traceback call

That doesn't look like the installation, but the build output of makepkg.

Can you please paste the full output of makepkg (including the part where it installs the dependencies), using [ code ] tags?


{,META,RE}PKGBUILDSpacman-hacks (includes makemetapkg and remakepkg) │ dotfiles

Offline

#3 2022-01-13 16:02:08

Dragonslayer6840
Member
Registered: 2022-01-13
Posts: 10

Re: Polybar installation is failing and giving a python traceback call

Thanks for helping.
Here's the output of makepkg command which i ran inside the /tmp/polybar-install/polybar-git/ directory made by me.


[dragonslayer@dragonslayer polybar-git]$ makepkg -si
==> Making package: polybar-git 3.5.7.r220.g6e34265d-1 (Thu 13 Jan 2022 09:31:18 PM IST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating polybar git repo...
Fetching origin
==> Validating source files with sha256sums...
    polybar ... Skipped
==> Extracting sources...
  -> Creating working copy of polybar git repo...
Reset branch 'makepkg'
==> Starting prepare()...
==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
-- Couldn't locate ccache, disabling ccache...
-- Using supported compiler GNU-11.1.0
-- XCB[XCB]: Found component XCB
-- XCB[ICCCM]: Found component ICCCM
-- XCB[EWMH]: Found component EWMH
-- XCB[UTIL]: Found component UTIL
-- XCB[IMAGE]: Found component IMAGE
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so 
-- Searching for xcbgen with /usr/bin/python3
-- Found xcbgen in /usr/lib/python3.10/site-packages
-- XCB[RANDR]: Found component RANDR
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so;/usr/lib/libxcb-randr.so 
-- XCB[COMPOSITE]: Found component COMPOSITE
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so;/usr/lib/libxcb-randr.so;/usr/lib/libxcb-composite.so 
-- XCB[XKB]: Found component XKB
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so;/usr/lib/libxcb-randr.so;/usr/lib/libxcb-composite.so;/usr/lib/libxcb-xkb.so 
-- xpp: including xcb proto composite.xml
-- xpp: including xcb proto randr.xml
-- xpp: including xcb proto xkb.xml
-- xpp: including xcb proto xproto.xml
--  Build:
--    Version: 3.5.7-220-g6e34265d
--    Type: Release
--    CXX: /usr/bin/c++ -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -O3 -DNDEBUG -Wall -Wextra -Wpedantic -Wsuggest-override
--    LD: /usr/bin/ld -Wall -Wextra -Wpedantic -Wsuggest-override  -Wall -Wextra -Wpedantic -Wsuggest-override
--    sphinx-build: /usr/bin/sphinx-build
--  Install Paths:
--    PREFIX:  /usr
--    BINDIR:  /usr/bin
--    DATADIR: /usr/share
--    DOCDIR:  /usr/share/doc/polybar
--    MANDIR:  /usr/share/man
--  Targets:
-- [X]   polybar
-- [X]   polybar-msg
-- [ ]   testsuite
-- [X]   documentation
-- [X]      html
-- [X]      man
-- [X]   sample config
-- [X]   shell files
--  Module support:
-- [X]   alsa (1.2.6.1)
-- [X]   curl (7.81.0)
-- [X]   i3
-- [X]   mpd (2.20)
-- [X]   network (libnl) (3.5.0)
-- [X]   pulseaudio (15.0)
-- [X]   xkeyboard (1.14)
--  X extensions:
-- [X]   xcb-randr (1.14)
-- [X]   xcb-randr (monitor support) (1.14)
-- [X]   xcb-composite (1.14)
-- [X]   xcb-xkb (1.14)
-- [X]   xcb-xrm (1.3)
-- [X]   xcb-cursor (0.1.3)
--  Log options:
-- [X]   Trace logging
-- Configuring done
-- Generating done
-- Build files have been written to: /tmp/polybar-install/polybar-git/src/polybar/build
[  1%] sphinx-build man: see doc/builder-man.log
Traceback (most recent call last):
  File "/usr/bin/sphinx-build", line 33, in <module>
    sys.exit(load_entry_point('Sphinx==4.3.2', 'console_scripts', 'sphinx-build')())
  File "/usr/bin/sphinx-build", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 162, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/sphinx/cmd/build.py", line 25, in <module>
    from sphinx.application import Sphinx
  File "/usr/lib/python3.10/site-packages/sphinx/application.py", line 34, in <module>
    from sphinx.domains import Domain, Index
  File "/usr/lib/python3.10/site-packages/sphinx/domains/__init__.py", line 24, in <module>
    from sphinx.roles import XRefRole
  File "/usr/lib/python3.10/site-packages/sphinx/roles.py", line 20, in <module>
    from sphinx.util.docutils import ReferenceRole, SphinxRole
  File "/usr/lib/python3.10/site-packages/sphinx/util/docutils.py", line 28, in <module>
    from packaging import version
ModuleNotFoundError: No module named 'packaging'
make[2]: *** [doc/CMakeFiles/doc_man.dir/build.make:71: doc/CMakeFiles/doc_man] Error 1
make[1]: *** [CMakeFiles/Makefile2:414: doc/CMakeFiles/doc_man.dir/all] Error 2
make: *** [Makefile:136: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

Last edited by Dragonslayer6840 (2022-01-13 16:06:25)

Offline

#4 2022-01-13 16:08:11

loqs
Member
Registered: 2014-03-06
Posts: 14,426

Re: Polybar installation is failing and giving a python traceback call

Please use code tags for commands and their outputs.  What is the output of

pacman -Qi python-packaging

Offline

#5 2022-01-13 16:15:02

Dragonslayer6840
Member
Registered: 2022-01-13
Posts: 10

Re: Polybar installation is failing and giving a python traceback call

Command:

 pacman -Qi python-packaging
 

Output:

Name            : python-packaging
Version         : 20.9-7
Description     : Core utilities for Python packages
Architecture    : any
URL             : https://github.com/pypa/packaging
Licenses        : Apache
Groups          : None
Provides        : None
Depends On      : python-pyparsing  python-six
Optional Deps   : None
Required By     : python-pip  python-setuptools  python-sphinx
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 188.00 KiB
Packager        : Antonio Rojas <arojas@archlinux.org>
Build Date      : Wed 15 Dec 2021 02:11:46 PM IST
Install Date    : Mon 03 Jan 2022 10:00:42 AM IST
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature
 

Offline

#6 2022-01-13 16:33:40

schard
Member
From: Hannover
Registered: 2016-05-06
Posts: 1,309
Website

Re: Polybar installation is failing and giving a python traceback call

# pacman -Qkk python-packaging

Offline

#7 2022-01-13 16:38:38

ayekat
Member
Registered: 2011-01-17
Posts: 1,485
Website

Re: Polybar installation is failing and giving a python traceback call

Ah, that's polybar-git.

Interestingly the build() output on my system is slightly different, but I can't tell exactly why:

==> Starting build()...                                                                                                                                                                                                                                                                                       
-- The CXX compiler identification is GNU 11.1.0                                                                                                                                                                                                                                                              
-- Detecting CXX compiler ABI info                                                                                                                                                                                                                                                                            
-- Detecting CXX compiler ABI info - done                                                                                                                                                                                                                                                                     
-- Check for working CXX compiler: /usr/bin/c++ - skipped                                                                                                                                                                                                                                                     
-- Detecting CXX compile features                                                                                                                                                                                                                                                                             
-- Detecting CXX compile features - done                                                                                                                                                                                                                                                                      
-- Couldn't locate ccache, disabling ccache...                                                                                                                                                                                                                                                                
-- Performing Test HAS_SUGGEST_OVERRIDE                                                                                                                                                                                                                                                                       
-- Performing Test HAS_SUGGEST_OVERRIDE - Success                                                                                                                                                                                                                                                             
-- Using supported compiler GNU-11.1.0
-- …

What if you try to rebuild it from a clean state (e.g. `makepg -Csr`)?
Also, have you tried building outside of /tmp?


{,META,RE}PKGBUILDSpacman-hacks (includes makemetapkg and remakepkg) │ dotfiles

Offline

#8 2022-01-13 17:28:48

Dragonslayer6840
Member
Registered: 2022-01-13
Posts: 10

Re: Polybar installation is failing and giving a python traceback call

I will try both of the things if any of these will work will tell.

Offline

#9 2022-01-13 17:35:42

Dragonslayer6840
Member
Registered: 2022-01-13
Posts: 10

Re: Polybar installation is failing and giving a python traceback call

No not working tried both doing a clean build and doing it outside of /tmp/ too

 makepkg -Csi
[dragonslayer@dragonslayer polybar-git]$ makepkg -Csi
==> Making package: polybar-git 3.5.7.r220.g6e34265d-1 (Thu 13 Jan 2022 11:02:58 PM IST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating polybar git repo...
Fetching origin
==> Validating source files with sha256sums...
    polybar ... Skipped
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of polybar git repo...
Cloning into 'polybar'...
done.
==> Starting prepare()...
Submodule 'lib/i3ipcpp' (https://github.com/polybar/i3ipcpp) registered for path 'lib/i3ipcpp'
Submodule 'lib/xpp' (https://github.com/polybar/xpp) registered for path 'lib/xpp'
Cloning into '/home/dragonslayer/polybar-git/src/polybar/lib/i3ipcpp'...
Cloning into '/home/dragonslayer/polybar-git/src/polybar/lib/xpp'...
Submodule path 'lib/i3ipcpp': checked out '86ddf7102c6903ae0cc543071e2d375403fc0727'
Submodule path 'lib/xpp': checked out '7a9960bbb912f0ed66929c978aaeb1c30acf4bfd'
==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
-- The CXX compiler identification is GNU 11.1.0
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Couldn't locate ccache, disabling ccache...
-- Performing Test HAS_SUGGEST_OVERRIDE
-- Performing Test HAS_SUGGEST_OVERRIDE - Success
-- Using supported compiler GNU-11.1.0
-- Found PkgConfig: /usr/bin/pkg-config (found version "1.8.0") 
-- Looking for C++ include pthread.h
-- Looking for C++ include pthread.h - found
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD
-- Performing Test CMAKE_HAVE_LIBC_PTHREAD - Failed
-- Check if compiler accepts -pthread
-- Check if compiler accepts -pthread - yes
-- Found Threads: TRUE  
-- Checking for module 'cairo-fc'
--   Found cairo-fc, version 1.17.4
-- Found CairoFC: /usr/include/cairo;/usr/include/lzo;/usr/include/libpng16;/usr/include/freetype2;/usr/include/harfbuzz;/usr/include/glib-2.0;/usr/lib/glib-2.0/include;/usr/include/sysprof-4;/usr/include/pixman-1 (found version "1.17.4") 
-- Checking for module 'libuv'
--   Found libuv, version 1.42.0
-- Found LibUV: /usr/include (found suitable version "1.42.0", minimum required is "1.3.0") 
-- Checking for module 'alsa'
--   Found alsa, version 1.2.6.1
-- Found ALSA: /usr/include (found version "1.2.6.1") 
-- Checking for module 'libcurl'
--   Found libcurl, version 7.81.0
-- Found CURL: /usr/include (found version "7.81.0") 
-- Checking for module 'libmpdclient'
--   Found libmpdclient, version 2.20
-- Found LibMPDClient: /usr/include (found version "2.20") 
-- Checking for module 'libnl-genl-3.0'
--   Found libnl-genl-3.0, version 3.5.0
-- Found LibNlGenl3: /usr/include/libnl3 (found version "3.5.0") 
-- Checking for module 'libpulse'
--   Found libpulse, version 15.0
-- Found LibPulse: /usr/include (found version "15.0") 
-- Checking for module 'xcb-randr'
--   Found xcb-randr, version 1.14
-- Found Xcb_RANDR: /usr/include (found suitable version "1.14", minimum required is "1.12") 
-- Checking for module 'xcb-composite'
--   Found xcb-composite, version 1.14
-- Found Xcb_COMPOSITE: /usr/include (found version "1.14") 
-- Checking for module 'xcb-xkb'
--   Found xcb-xkb, version 1.14
-- Found Xcb_XKB: /usr/include (found version "1.14") 
-- Checking for module 'xcb-cursor'
--   Found xcb-cursor, version 0.1.3
-- Found Xcb_CURSOR: /usr/include (found version "0.1.3") 
-- Checking for module 'xcb-xrm'
--   Found xcb-xrm, version 1.3
-- Found Xcb_XRM: /usr/include (found version "1.3") 
-- The C compiler identification is GNU 11.1.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Checking for module 'xcb-proto'
--   Found xcb-proto, version 1.14.1
-- Found PythonInterp: /usr/bin/python3 (found suitable version "3.10.1", minimum required is "3.5") 
-- XCB[XCB]: Found component XCB
-- Found XCB_XCB: /usr/lib/libxcb.so  
-- XCB[ICCCM]: Found component ICCCM
-- Found XCB_ICCCM: /usr/lib/libxcb-icccm.so  
-- XCB[EWMH]: Found component EWMH
-- Found XCB_EWMH: /usr/lib/libxcb-ewmh.so  
-- XCB[UTIL]: Found component UTIL
-- Found XCB_UTIL: /usr/lib/libxcb-util.so  
-- XCB[IMAGE]: Found component IMAGE
-- Found XCB_IMAGE: /usr/lib/libxcb-image.so  
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so  
-- Searching for xcbgen with /usr/bin/python3
-- Found xcbgen in /usr/lib/python3.10/site-packages
-- XCB[RANDR]: Found component RANDR
-- Found XCB_RANDR: /usr/lib/libxcb-randr.so  
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so;/usr/lib/libxcb-randr.so  
-- XCB[COMPOSITE]: Found component COMPOSITE
-- Found XCB_COMPOSITE: /usr/lib/libxcb-composite.so  
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so;/usr/lib/libxcb-randr.so;/usr/lib/libxcb-composite.so  
-- XCB[XKB]: Found component XKB
-- Found XCB_XKB: /usr/lib/libxcb-xkb.so  
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so;/usr/lib/libxcb-randr.so;/usr/lib/libxcb-composite.so;/usr/lib/libxcb-xkb.so  
-- xpp: including xcb proto composite.xml
-- xpp: including xcb proto randr.xml
-- xpp: including xcb proto xkb.xml
-- xpp: including xcb proto xproto.xml
-- Checking for module 'jsoncpp'
--   Found jsoncpp, version 1.9.4
--  Build:
--    Version: 3.5.7-220-g6e34265d
--    Type: Release
--    CXX: /usr/bin/c++ -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -O3 -DNDEBUG -Wall -Wextra -Wpedantic -Wsuggest-override
--    LD: /usr/bin/ld -Wall -Wextra -Wpedantic -Wsuggest-override  -Wall -Wextra -Wpedantic -Wsuggest-override
--    sphinx-build: /usr/bin/sphinx-build 
--  Install Paths:
--    PREFIX:  /usr
--    BINDIR:  /usr/bin
--    DATADIR: /usr/share
--    DOCDIR:  /usr/share/doc/polybar
--    MANDIR:  /usr/share/man
--  Targets:
-- [X]   polybar
-- [X]   polybar-msg
-- [ ]   testsuite
-- [X]   documentation
-- [X]      html
-- [X]      man
-- [X]   sample config
-- [X]   shell files
--  Module support:
-- [X]   alsa (1.2.6.1)
-- [X]   curl (7.81.0)
-- [X]   i3
-- [X]   mpd (2.20)
-- [X]   network (libnl) (3.5.0)
-- [X]   pulseaudio (15.0)
-- [X]   xkeyboard (1.14)
--  X extensions:
-- [X]   xcb-randr (1.14)
-- [X]   xcb-randr (monitor support) (1.14)
-- [X]   xcb-composite (1.14)
-- [X]   xcb-xkb (1.14)
-- [X]   xcb-xrm (1.3)
-- [X]   xcb-cursor (0.1.3)
--  Log options:
-- [X]   Trace logging
-- Configuring done
-- Generating done
-- Build files have been written to: /home/dragonslayer/polybar-git/src/polybar/build
[  1%] sphinx-build man: see doc/builder-man.log
Traceback (most recent call last):
  File "/usr/bin/sphinx-build", line 33, in <module>
    sys.exit(load_entry_point('Sphinx==4.3.2', 'console_scripts', 'sphinx-build')())
  File "/usr/bin/sphinx-build", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 162, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/sphinx/cmd/build.py", line 25, in <module>
    from sphinx.application import Sphinx
  File "/usr/lib/python3.10/site-packages/sphinx/application.py", line 34, in <module>
    from sphinx.domains import Domain, Index
  File "/usr/lib/python3.10/site-packages/sphinx/domains/__init__.py", line 24, in <module>
    from sphinx.roles import XRefRole
  File "/usr/lib/python3.10/site-packages/sphinx/roles.py", line 20, in <module>
    from sphinx.util.docutils import ReferenceRole, SphinxRole
  File "/usr/lib/python3.10/site-packages/sphinx/util/docutils.py", line 28, in <module>
    from packaging import version
ModuleNotFoundError: No module named 'packaging'
make[2]: *** [doc/CMakeFiles/doc_man.dir/build.make:71: doc/CMakeFiles/doc_man] Error 1
make[1]: *** [CMakeFiles/Makefile2:414: doc/CMakeFiles/doc_man.dir/all] Error 2
make: *** [Makefile:136: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
 

Offline

#10 2022-01-13 17:53:24

loqs
Member
Registered: 2014-03-06
Posts: 14,426

Re: Polybar installation is failing and giving a python traceback call

What  was the output of schard's request in post #6 also

file /usr/lib/python3.10/site-packages/packaging/version.py
pacman -Qo /usr/lib/python3.10/site-packages/packaging/version.py

Offline

#11 2022-01-14 09:58:36

Dragonslayer6840
Member
Registered: 2022-01-13
Posts: 10

Re: Polybar installation is failing and giving a python traceback call

Command :

  pacman -Qkk python-packaging

Output:

warning: python-packaging: /usr/lib/python3.10/site-packages/packaging (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__about__.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__init__.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/_compat.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/_structures.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/_typing.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/markers.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/py.typed (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/requirements.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/specifiers.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/tags.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/utils.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/version.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__ (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/__about__.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/__init__.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/_compat.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/_structures.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/_typing.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/markers.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/requirements.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/specifiers.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/tags.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/utils.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/version.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info/PKG-INFO (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info/SOURCES.txt (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info/dependency_links.txt (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info/requires.txt (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info/top_level.txt (No such file or directory)
python-packaging: 35 total files, 31 altered files

command:

file /usr/lib/python3.10/site-packages/packaging/version.py

output:

/usr/lib/python3.10/site-packages/packaging/version.py: cannot open `/usr/lib/python3.10/site-packages/packaging/version.py' (No such file or directory)

command :

pacman -Qo /usr/lib/python3.10/site-packages/packaging/version.py
/usr/lib/python3.10/site-packages/packaging/version.py is owned by python-packaging 20.9-7

Offline

#12 2022-01-14 10:01:45

Dragonslayer6840
Member
Registered: 2022-01-13
Posts: 10

Re: Polybar installation is failing and giving a python traceback call

Command :

  pacman -Qkk python-packaging

Output:

warning: python-packaging: /usr/lib/python3.10/site-packages/packaging (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__about__.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__init__.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/_compat.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/_structures.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/_typing.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/markers.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/py.typed (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/requirements.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/specifiers.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/tags.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/utils.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/version.py (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__ (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/__about__.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/__init__.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/_compat.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/_structures.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/_typing.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/markers.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/requirements.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/specifiers.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/tags.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/utils.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging/__pycache__/version.cpython-310.pyc (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info/PKG-INFO (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info/SOURCES.txt (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info/dependency_links.txt (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info/requires.txt (No such file or directory)
warning: python-packaging: /usr/lib/python3.10/site-packages/packaging-20.9-py3.10.egg-info/top_level.txt (No such file or directory)
python-packaging: 35 total files, 31 altered files

command:

file /usr/lib/python3.10/site-packages/packaging/version.py

output:

/usr/lib/python3.10/site-packages/packaging/version.py: cannot open `/usr/lib/python3.10/site-packages/packaging/version.py' (No such file or directory)

command :

pacman -Qo /usr/lib/python3.10/site-packages/packaging/version.py
/usr/lib/python3.10/site-packages/packaging/version.py is owned by python-packaging 20.9-7

Also I tried building the polybar-git inside a clean chroot , and it builds there but i am not able to proceed further.

Offline

#13 2022-01-14 12:14:57

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 9,776

Re: Polybar installation is failing and giving a python traceback call

Your python-packaging install is badly broken, re-install it.

Did you have problems during updates (like a power outage) recently ?


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#14 2022-01-14 16:00:57

Dragonslayer6840
Member
Registered: 2022-01-13
Posts: 10

Re: Polybar installation is failing and giving a python traceback call

No no such issue i reinstalled it but it didn't worked still , can u give me a way to do so and from where where i have to delete the python-packaging directories before reinstalling.

Offline

#15 2022-01-14 17:05:47

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 9,776

Re: Polybar installation is failing and giving a python traceback call

just run (as root or with sudo) 

pacman -S python-packaging

If there are errors , post the output.


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#16 2022-01-15 17:26:58

Dragonslayer6840
Member
Registered: 2022-01-13
Posts: 10

Re: Polybar installation is failing and giving a python traceback call

sudo pacman -S python-packaging
warning: python-packaging-20.9-7 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (1) python-packaging-20.9-7

Total Installed Size:  0.18 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n] y
(1/1) checking keys in keyring                     [########] 100%
(1/1) checking package integrity                   [########] 100%
(1/1) loading package files                        [########] 100%
(1/1) checking for file conflicts                  [########] 100%
(1/1) checking available disk space                [########] 100%
:: Processing package changes...
(1/1) reinstalling python-packaging                [########] 100%
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
makepkg -si 
==> Making package: polybar 3.5.7-2 (Sat 15 Jan 2022 10:59:22 PM IST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found polybar-3.5.7.tar.gz
==> Validating source files with sha256sums...
    polybar-3.5.7.tar.gz ... Passed
==> Extracting sources...
  -> Extracting polybar-3.5.7.tar.gz with bsdtar
==> Starting prepare()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
-- Trying to enable ccache
-- Couldn't locate ccache, disabling ccache...
-- Could not detect version with git, falling back to built-in version information.
-- Using supported compiler GNU-11.1.0
--  Build:
--    Version: 3.5.7
--    Type: Release
--    CXX: /usr/bin/c++ -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -Wall -Wextra -Wpedantic -O3 -DNDEBUG
--    LD: /usr/bin/ld -Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now 
--  Install Paths:
--    PREFIX:  /usr
--    BINDIR:  /usr/bin
--    DATADIR: /usr/share
--    DOCDIR:  /usr/share/doc/polybar
--    MANDIR:  /usr/share/man
--  Targets:
-- [X]   polybar-msg
-- [ ]   testsuite
-- [X]   documentation
--  Module support:
-- [X]   alsa (1.2.6.1)
-- [X]   curl (7.81.0)
-- [X]   i3
-- [X]   mpd (2.20)
-- [X]   network (libnl) (3.5.0)
-- [X]   pulseaudio (15.0)
-- [X]   xkeyboard (1.14)
--  X extensions:
-- [X]   xcb-randr (1.14)
-- [X]   xcb-randr (monitor support) (1.14)
-- [X]   xcb-composite (1.14)
-- [X]   xcb-xkb (1.14)
-- [X]   xcb-xrm (1.3)
-- [X]   xcb-cursor (0.1.3)
--  Log options:
-- [X]   Trace logging
-- XCB[XCB]: Found component XCB
-- XCB[ICCCM]: Found component ICCCM
-- XCB[EWMH]: Found component EWMH
-- XCB[UTIL]: Found component UTIL
-- XCB[IMAGE]: Found component IMAGE
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so  
-- Searching for xcbgen with /usr/bin/python3
-- Found xcbgen in /usr/lib/python3.10/site-packages
-- XCB[RANDR]: Found component RANDR
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so;/usr/lib/libxcb-randr.so  
-- XCB[COMPOSITE]: Found component COMPOSITE
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so;/usr/lib/libxcb-randr.so;/usr/lib/libxcb-composite.so  
-- XCB[XKB]: Found component XKB
-- Found XCB: /usr/lib/libxcb.so;/usr/lib/libxcb-icccm.so;/usr/lib/libxcb-ewmh.so;/usr/lib/libxcb-util.so;/usr/lib/libxcb-image.so;/usr/lib/libxcb-randr.so;/usr/lib/libxcb-composite.so;/usr/lib/libxcb-xkb.so  
-- xpp: including xcb proto composite.xml
-- xpp: including xcb proto randr.xml
-- xpp: including xcb proto xkb.xml
-- xpp: including xcb proto xproto.xml
-- Font not found: fixed:pixelsize=10
-- Font not found: unifont:fontformat=truetype
-- Font not found: siji:pixelsize=10
-- Configuring done
-- Generating done
-- Build files have been written to: /home/dragonslayer/polybar/src/polybar-3.5.7/build
[  1%] sphinx-build man: see doc/builder-man.log
/usr/lib/python3.10/site-packages/pkg_resources/__init__.py:116: PkgResourcesDeprecationWarning: 2.0.5-build-libtorrent-rasterbar-src-libtorrent-rasterbar-2.0.5-bindings-python is an invalid version and will not be supported in a future release
  warnings.warn(
Traceback (most recent call last):
  File "/usr/bin/sphinx-build", line 33, in <module>
    sys.exit(load_entry_point('Sphinx==4.3.2', 'console_scripts', 'sphinx-build')())
  File "/usr/bin/sphinx-build", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 162, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/sphinx/cmd/build.py", line 25, in <module>
    from sphinx.application import Sphinx
  File "/usr/lib/python3.10/site-packages/sphinx/application.py", line 26, in <module>
    from docutils.parsers.rst import Directive, roles
  File "/usr/lib/python3.10/site-packages/docutils/parsers/rst/__init__.py", line 75, in <module>
    from docutils.parsers.rst import roles, states
  File "/usr/lib/python3.10/site-packages/docutils/parsers/rst/roles.py", line 78, in <module>
    from docutils.utils.code_analyzer import Lexer, LexerError
  File "/usr/lib/python3.10/site-packages/docutils/utils/code_analyzer.py", line 12, in <module>
    from pkg_resources import DistributionNotFound as ResourceError
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3257, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3231, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3269, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 573, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 891, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'requests>=2.5.0' distribution was not found and is required by Sphinx
make[2]: *** [doc/CMakeFiles/doc_man.dir/build.make:71: doc/CMakeFiles/doc_man] Error 1
make[1]: *** [CMakeFiles/Makefile2:442: doc/CMakeFiles/doc_man.dir/all] Error 2
make: *** [Makefile:136: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

Last edited by Dragonslayer6840 (2022-01-15 17:30:07)

Offline

#17 2022-01-15 17:36:04

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,845

Re: Polybar installation is failing and giving a python traceback call

That's a totally different error. Your problem is with python-requests now; you should probably just reinstall all python packages at this point.

This is why saying things like "didn't work still" is never a good idea.

Online

#18 2022-01-15 18:02:12

Dragonslayer6840
Member
Registered: 2022-01-13
Posts: 10

Re: Polybar installation is failing and giving a python traceback call

Sorry For saying So Earlier I should have tried and then commented.
Thanks to all I removed all the packages and then installed them one by one and polybar is now successfully installed . Thanks for the help.

Offline

Board footer

Powered by FluxBB